import FWCore.ParameterSet.Config as cms

# instrument the menu with the modules and EndPath needed for timing studies
FastTimerService = cms.Service('FastTimerService',
    useRealTimeClock            = cms.untracked.bool( False ),
    enableTimingPaths           = cms.untracked.bool( True ),
    enableTimingModules         = cms.untracked.bool( False ),
    enableTimingExclusive       = cms.untracked.bool( False ),
    enableTimingSummary         = cms.untracked.bool( True ),
    skipFirstPath               = cms.untracked.bool( False ),
    enableDQM                   = cms.untracked.bool( True ),
    enableDQMbyPathActive       = cms.untracked.bool( True ),
    enableDQMbyPathTotal        = cms.untracked.bool( True ),
    enableDQMbyPathOverhead     = cms.untracked.bool( False ),
    enableDQMbyPathDetails      = cms.untracked.bool( True ),
    enableDQMbyPathCounters     = cms.untracked.bool( True ),
    enableDQMbyPathExclusive    = cms.untracked.bool( False ),
    enableDQMbyModule           = cms.untracked.bool( False ),
    enableDQMSummary            = cms.untracked.bool( True ),
    enableDQMbyLuminosity       = cms.untracked.bool( True ),
    enableDQMbyLumiSection      = cms.untracked.bool( True ),
    enableDQMbyProcesses        = cms.untracked.bool( False ),
    dqmTimeRange                = cms.untracked.double( 10000   ),
    dqmTimeResolution           = cms.untracked.double(    10   ),
    dqmPathTimeRange            = cms.untracked.double( 10000   ),
    dqmPathTimeResolution       = cms.untracked.double(    10   ),
    dqmModuleTimeRange          = cms.untracked.double(    40.  ),
    dqmModuleTimeResolution     = cms.untracked.double(     0.2 ),
    dqmLuminosityRange          = cms.untracked.double( 1e+34 ),
    dqmLuminosityResolution     = cms.untracked.double( 1e+31 ),
    dqmLumiSectionsRange        = cms.untracked.uint32(  2500 ),
    dqmPath                     = cms.untracked.string( "DQM/TimerService" ),
    luminosityProduct           = cms.untracked.InputTag( "scalersRawToDigi" ),
    supportedProcesses          = cms.untracked.vuint32( )
)
